{% extends 'base_admin.html.twig' %}
{% block title %}Tableau de bord utilisateur{% endblock %}
{% block body %}
    <section id="borrowing-index" class="container-fluid">
		<section class="container">
			<header class="row">
                <div class="col-12">
                    <h1 class="service">Liste Utilisateurs</h1>
                </div>
            </header>
            <div class="row">
                <div class="col-12">    
                    <table  class="table table-utilisateurs">
                        <thead>
                            <tr>
                                <th class="titre-user">Id</th>
                                <th class="titre-user">Nom d'utilisateur</th>
                                <th class="titre-user">Rôles </th>                     
                                <th class="titre-user">Email</th>            
                                <th class="titre-user">Abonnement </th>
                                <th class="titre-user">Statut</th>
                                <th class="titre-user">Genre</th>
                                <th class="titre-user">Prénom</th>
                                <th class="titre-user">Nom</th>      
                                <th class="titre-user">Adresse</th>
                                <th class="titre-user">Code Postal</th>
                                <th class="titre-user">Ville</th>
                                <th class="titre-user">Téléphone</th> 
                                <th class="titre-user">actions</th>                
                            </tr>
                        </thead>
                        <tbody>
                        {% for user in users %}
                            <tr>
                                <td data-label="Id">{{ user.id }}</td>
                                <td data-label="Nom utilisateur">{{ user.username }}</td>
                                <td data-label="Role">
                                {% for role in user.roles %}
                                    {% if role == "ROLE_USER" %}
                                        Utilisateur
                                    {% elseif role == "ROLE_ADMIN" %}
                                        Administrateur
                                    {% endif %} 
                                {% endfor %}  
                                </td>          
                                <td data-label="Email">{{ user.email }}</td>
                                <td data-label="Abonnement">{{ user.subscription }}</td>
                                <td data-label="Statut de abonnement">{{user.subscriptionstatus}}</td>               
                                <td data-label="Genres">{{ user.genres }}</td>
                                <td data-label="Prénom">{{ user.firstname }}</td>
                                <td data-label="Nom">{{ user.lastname }}</td>               
                                <td data-label="Adresse">{{ user.address }}</td>
                                <td data-label="Ville">{{ user.city }}</td>
                                <td data-label="Code Postal">{{ user.postalCode }}</td>
                                <td data-label="Téléphone">{{ user.phone }}</td>
                                <td data-label="Actions">
                                    <a href="{{ path('user_show', {'id': user.id}) }}">Voir</a>
                                    <a href="{{ path('user_edit', {'id': user.id}) }}">Mettre à jour</a>
                                </td>              
                            </tr>
                        {% else %}
                            <tr>
                                <td colspan="15">pas d'enregistrement</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
                <a class="nouvel-utilisateur" href="{{ path('user_new') }}">Nouvel utilisateur</a>
            </div>
        </div>
    </section>
</section>                
{% endblock %}
{% block javascripts %}
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js" integrity="sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI" crossorigin="anonymous"></script>
{% endblock %}  
